Create Virtual Terminal
curl --request POST \
--url https://nini.monieswitch.com/terminal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Lambe 01",
"storeId": "9ab67f41-10c9-4f52-adfc-31f460980966",
"activeAgentId": "8e669778-604a-4e60-b0fe-b88f4a2c876d"
}
'import requests
url = "https://nini.monieswitch.com/terminal"
payload = {
"name": "Lambe 01",
"storeId": "9ab67f41-10c9-4f52-adfc-31f460980966",
"activeAgentId": "8e669778-604a-4e60-b0fe-b88f4a2c876d"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Lambe 01',
storeId: '9ab67f41-10c9-4f52-adfc-31f460980966',
activeAgentId: '8e669778-604a-4e60-b0fe-b88f4a2c876d'
})
};
fetch('https://nini.monieswitch.com/terminal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Terminal successfully created.",
"data": {
"id": "00319ac9-ab60-48be-9604-fc62004b0f55",
"mode": "SANDBOX",
"name": "Lambe 01",
"storeId": "9ab67f41-10c9-4f52-adfc-31f460980966",
"merchantId": "bb80715c-dcbc-460c-a8e4-203b63b03fce",
"walletId": "2e9dc318-92ab-4a79-8442-c4dfd65247b5",
"phoneNumber": "2349129384663",
"code": "Terminal 1",
"updatedAt": "2024-12-27T14:38:18.534Z",
"createdAt": "2024-12-27T14:38:18.534Z",
"activeAgentId": null,
"deletedAt": null
}
}Branches
Create Virtual Terminal
POST
/
terminal
Create Virtual Terminal
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I